@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}

@keyframes slideIn {
    from { transform: translateY(50px); opacity: 0; }
    to { transform: translateY(0); opacity: 1; }
}

@keyframes pulse {
    0% { transform: scale(1); }
    50% { transform: scale(1.05); }
    100% { transform: scale(1); }
}

body {
    font-family: 'Helvetica', sans-serif;
    margin: 0;
    padding: 0;
    background-color: #ffffff; /* White */
    color: #333333; /* Dark grey for text */
}

header {
    background-color: #fff; /* Purple */
    color: #ffffff; /* White text */
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    animation: slideIn 1s ease-out;
}

header .logo h1 {
    margin: 0;
}
header .logo img{
    height: 50px;
}
header nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
}

header nav ul li {
    margin-left: 20px;
}

header nav ul li a {
    color: #df0bdb;
    text-decoration: none;
    animation: fadeIn 1s ease-in-out;
}
header nav ul li a:hover {
    color: #e91e63; /* Pink */
}

header nav ul li a::after {
    content: '';
    display: block;
    width: 0;
    height: 2px;
    background: #e91e63; /* Pink */
    transition: width 0.3s ease;
}

header nav ul li a:hover::after {
    width: 100%;
}

.hero {
    background-color: #e91e63; /* Pink */
    color: #ffffff; /* White text */
    padding: 50px;
    text-align: center;
    animation: slideIn 1s ease-out;
}

.portfolio {
    padding: 50px;
    text-align: center;
}

.portfolio-items {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.portfolio-item {
    margin: 20px;
    animation: fadeIn 1s ease-in-out;
}

.portfolio-item img {
    max-width: 20%;
    height: auto;
    animation: pulse 1.5s infinite;
}

.testimonials {
    background-color: #f0f0f0;
    padding: 50px;
    text-align: center;
    animation: slideIn 1s ease-out;
}

.cta {
    background-color: #9b59b6; /* Purple */
    color: #ffffff; /* White text */
    padding: 50px;
    text-align: center;
    animation: fadeIn 1s ease-in-out;
}

.subscribe-form {
    display: inline-block;
    margin-top: 20px;
}

.subscribe-form input[type="email"] {
    padding: 10px;
    border: none;
    border-radius: 5px;
    margin-right: 10px;
}

.subscribe-form button {
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    background-color: #e91e63; /* Pink */
    color: #ffffff; /* White text */
    cursor: pointer;
    animation: pulse 1.5s infinite;
}

footer {
    background-color: #333333;
    color: #ffffff;
    padding: 20px;
    text-align: center;
}

footer .social-media {
    margin-top: 10px;
}

footer .social-media a {
    color: #ffffff;
    margin: 0 10px;
    text-decoration: none;
    animation: fadeIn 1s ease-in-out;
}
.success-message {
    display: none; /* Initially hidden */
    background-color: #9b59b6; /* Purple background */
    color: #ffffff; /* White text */
    padding: 10px;
    margin-top: 10px;
    border-radius: 5px;
    text-align: center;
}

/*services*/
.services {
    padding: 50px;
    text-align: center;
    background-color: #f0f0f0; /* Light grey background */
}

.services h2 {
    margin-bottom: 40px;
    font-size: 2.5em;
    color: #9b59b6; /* Purple */
}

.services-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.service-card {
    background-color: #ffffff; /* White */
    border: 1px solid #dddddd; /* Light grey border */
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    margin: 20px;
    padding: 20px;
    width: 250px;
    text-align: left;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.service-card:hover {
    transform: translateY(-10px);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

.service-card img {
    max-width: 100%;
    border-radius: 10px 10px 0 0;
}

.service-card h3 {
    font-size: 1.5em;
    color: #e91e63; /* Pink */
    margin: 20px 0 10px;
}

.service-card p {
    color: #333333; /* Dark grey */
    font-size: 1em;
    line-height: 1.6;
}

/*about*/
.about {
    padding: 50px;
    text-align: center;
    background-color: #f0f0f0; /* Light grey background */
}

.about .container {
    max-width: 800px;
    margin: 0 auto;
}

.about h2 {
    margin-bottom: 40px;
    font-size: 2.5em;
    color: #9b59b6; /* Purple */
}

.about-content {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.about-text {
    flex: 1;
    padding: 20px;
    text-align: left;
}

.about-text h3 {
    font-size: 1.5em;
    color: #e91e63; /* Pink */
    margin-bottom: 10px;
}

.about-text p {
    color: #333333; /* Dark grey */
    font-size: 1em;
    line-height: 1.6;
    margin-bottom: 20px;
}

.about-image {
    flex: 1;
    padding: 20px;
}

.about-image img {
    max-width: 100%;
    border-radius: 10px;
}
.menu-icon {
    display: none;
    font-size: 1.5em;
    cursor: pointer;
    color: #e91e63;
}



@media (max-width: 768px) {
    .about h2 {
        font-size: 2em;
    }

    .about-text h3 {
        font-size: 1.2em;
    }

    .about-text p {
        font-size: 0.9em;
    }
    .services-container {
            flex-direction: column;
            align-items: center;
        }
    
        .service-card {
            width: 80%;
        }
    }


/* Media Queries for Responsive Design */
@media (max-width: 768px) {

    .subscribe-form input[type="email"],
    .subscribe-form button {
        margin-right: 0;
    }
}

@media (max-width: 768px) {
    .hero {
        padding: 30px;
    }

    .portfolio {
        padding: 30px;
    }

    .testimonials {
        padding: 30px;
    }

    .cta {
        padding: 30px;
    }
}
@media (max-width: 768px) {
    .menu-icon {
        display: block;
    }
    
    .menu {
        display: none;
        flex-direction: column;
        width: 100%;
    }
    
    .menu.show {
        display: flex;
    }
    
    nav ul li {
        margin: 10px 0;
    }
}



/* Contact Form Styles */
.contact {
    padding: 50px;
    text-align: center;
    animation: fadeInUp 1s ease;
}

.contact h2 {
    font-size: 2.5em;
    color: #9b59b6; /* Purple */
    margin-bottom: 30px;
}

.contact-form {
    max-width: 600px;
    margin: 0 auto;
    opacity: 0;
    animation: slideInRight 1s forwards;
}

.form-group {
    margin-bottom: 20px;
}

.form-group label {
    display: block;
    font-size: 1.2em;
    color: #f40a87; /* Dark grey */
    margin-bottom: 5px;
}

.form-group input[type="text"],
.form-group input[type="email"],
.form-group input[type="tel"],
.form-group textarea {
    outline: none;
    width: 70%;
    padding: 10px;
    border-radius: 5px;
    border: 1px solid#9b59b6; /* Light grey border */
    font-size: 1em;
    opacity: 0;
    animation: slideInLeft 1s forwards;
}

.form-group textarea {
    resize: vertical;
}

button[type="submit"] {
    background-color: #e91e63; /* Pink */
    color: #ffffff; /* White text */
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    font-size: 1.2em;
    cursor: pointer;
    transition: background-color 0.3s ease;
    opacity: 0;
    animation: slideInUp 1s forwards;
}

button[type="submit"]:hover {
    background-color: #c2185b; /* Darker pink on hover */
}

/* Animation Keyframes */
@keyframes slideInRight {
    0% {
        transform: translateX(100%);
    }
    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes slideInLeft {
    0% {
        transform: translateX(-100%);
    }
    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes slideInUp {
    0% {
        transform: translateY(100%);
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

@keyframes fadeInUp {
    0% {
        opacity: 0;
        transform: translateY(20px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

.whatsapp-link a{
    text-decoration: none;
    color: #c2185b;
}
.whatsapp-link{
    margin-top: 5%;
}
/*ABOUT*/
.about {
    padding: 50px;
    text-align: center;
}

.team {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 30px;
}

.team-member {
    margin: 20px;
    text-align: center;
    max-width: 300px;
}

.team-member img {
    max-width: 20%;
    height: 20%;
    border-radius: 100%;
}

.team-member h3 {
    margin: 10px 0 5px;
    color: #9b59b6; /* Purple */
}

.cover-photo img {
    width: 100%;
    height: 300px;
    object-fit: cover;
}

.profile-info {
    display: flex;
    align-items: center;
    padding: 20px;
}

.profile-picture img {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    margin-right: 20px;
}

.bio {
    text-align: left;
}

.bio h2 {
    margin: 0;
    color: #9b59b6; /* Purple */
}

.bio ul {
    list-style: none;
    padding: 0;
}

.team-members {
    padding: 50px;
    text-align: center;
}

.team {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 30px;
}

.team-member {
    margin: 20px;
    text-align: center;
    max-width: 300px;
    border: 1px solid #e0e0e0;
    border-radius: 10px;
    overflow: hidden;
    transition: transform 0.3s;
}

.team-member:hover {
    transform: scale(1.05);
}

.team-member .cover-photo img {
    width: 100%;
    height: 150px;
    object-fit: cover;
}

.team-member .profile-picture img {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    margin: -50px 0 10px;
    border: 3px solid #ffffff;
    background-color: #ffffff;
}

.team-member .bio {
    padding: 20px;
}

.team-member .bio h3 {
    margin: 0 0 10px;
    color: #9b59b6; /* Purple */
}

.team-member .bio p {
    margin: 5px 0;
}

.team-member .social-media {
    margin-top: 10px;
}

.team-member .social-media a {
    color: #9b59b6;
    margin: 0 10px;
    text-decoration: none;
    font-size: 1.5em;
}

.partners {
    padding: 50px;
    text-align: center;
}

.partners h2 {
    color: #9b59b6; /* Purple */
}

.partner-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 30px;
}

.partner {
    margin: 20px;
    text-align: center;
    max-width: 300px;
    border: 1px solid #e0e0e0;
    border-radius: 10px;
    padding: 20px;
    transition: transform 0.3s;
}

.partner:hover {
    transform: scale(1.05);
}

.partner img {
    width: 100px;
    height: auto;
    margin-bottom: 20px;
}

.partner p {
    color: #333333; /* Dark grey text */
}

.partner a {
    color: #e91e63; /* Pink */
    text-decoration: none;
}

.partner a:hover {
    text-decoration: underline;
}

footer {
    background-color: #333333;
    color: #ffffff;
    padding: 20px;
    text-align: center;
}

.partner {
    max-width: 100%;
}

